"""Cloudspaces API client library."""

import urlparse

import requests


JSON_MIME_TYPE = 'application/json'


class CloudspacesAPI(object):

    content_type = JSON_MIME_TYPE

    def __init__(self, service_root_url, auth):
        super(CloudspacesAPI, self).__init__()
        self.service_root_url = service_root_url
        self.auth = auth

    def get_user_info(self):
        url = urlparse.urljoin(self.service_root_url, 'cloudspaces')
        return requests.get(
            url, auth=self.auth, headers=self._get_headers())

    def _get_headers(self):
        return {
            'Content-Type': self.content_type,
            'Accept': self.content_type
        }
