"""Conformance tests for Cloudspaces API."""

import unittest
import urlparse

from cloudspacesclient import client, config, ubuntuone


class CloudspacesAPITestCase(unittest.TestCase):

    cloudspaces_server_url = config.get(
        'cloudspaces', 'cloudspaces_server_url')

    def setUp(self):
        super(CloudspacesAPITestCase, self).setUp()
        # TODO the server class should be defined in a config file, to make
        # it easy to test different Cloudspaces servers.
        self.test_server = ubuntuone.UbuntuOneServer()
        self.test_user = self.test_server.create_test_user()
        self.addCleanup(self.test_server.delete_test_user, self.test_user)

        auth = self.test_server.get_auth_credentials(self.test_user)
        service_root = urlparse.urljoin(
            self.cloudspaces_server_url, 'api/')
        # TODO the client class should be defined in a config file, to make
        # it easy to test different Cloudspaces clients.
        self.cloudspaces_api_client = client.CloudspacesAPI(
            service_root, auth)

    def test_get_user_info(self):
        self.cloudspaces_api_client.get_user_info()
